Page MenuHomePhabricator

wmf_deploy updated but not merged and deployed into .12
Closed, ResolvedPublic1 Story Points

Description

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/CentralNotice/+/484352/-1..2 was merged to bump CN in .13, but it wasn't deployed to .12, leaving .12 in an inconsistent state

This task acts as three things:

  1. A reminder that wmf_deploy affects multiple branches
  2. Please remember to deploy your changes to all active branches, even if you intend for it to just ride the train on the latest release, you still need to deploy it for any active older releases :)
  3. Please deploy the change above properly into .12 to fix the below
	modified:   extensions/CentralNotice (new commits)

Event Timeline

Reedy created this task.Jan 16 2019, 12:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2019, 12:38 PM
Reedy triaged this task as High priority.Jan 16 2019, 12:39 PM
Reedy updated the task description. (Show Details)
Addshore added a subscriber: Addshore.
Ejegg added a subscriber: Ejegg.Jan 16 2019, 4:59 PM

Change 484731 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/core@wmf/1.33.0-wmf.13] CentralNotice to already deployed I6ff16ef549308047b1cade1613b2527b6ed99bae

https://gerrit.wikimedia.org/r/484731

Change 484731 abandoned by AndyRussG:
CentralNotice to already deployed I6ff16ef549308047b1cade1613b2527b6ed99bae

Reason:
Wrong branch!!?

https://gerrit.wikimedia.org/r/484731

Change 484734 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/core@wmf/1.33.0-wmf.12] CentralNotice to already deployed I6ff16ef549308047b1cade1613b2527b6ed99bae

https://gerrit.wikimedia.org/r/484734

Work on fixing the CentralNotice deployment mechanism has been put off time after time. We really, really need to get to it. I think this is the main task we can use to plan this: T136904. Other older ones are: T179536, T113428.

@Reedy, @Addshore, many apologies again for the headaches this causes.

Please deploy the change above properly into .12 to fix the below

I tried to do this, using this as a rough guide. See the attached patch (just the last one). I hope this is correct, and helps smooth the remaining deploys this week. Please lmk. :)

Thanks and apologies again!!!!

Reedy added a comment.Jan 16 2019, 7:20 PM

You just need to update the git sub module for CN on deploy1001 and sync it :)

You just need to update the git sub module for CN on deploy1001 and sync it :)

With or without the attached patch?

Reedy added a comment.Jan 16 2019, 7:46 PM

Shouldn’t need that. It’s already in the core branch as that’s tracking wmf_deploy...

Shouldn’t need that. It’s already in the core branch as that’s tracking wmf_deploy...

That would set wmf.12 to the new wmf_deploy head, no? I would be a bit happier to keep wmf.12 on what's currently deployed for that branch... I think that's what the provided patch would do?

Reedy added a comment.Jan 16 2019, 8:44 PM

Oh, sorry. I thought you wanted to deploy the new version

Not checked the hashes, but looks right if you don’t want to bump it :)

Change 484734 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.12] CentralNotice to already deployed I6ff16ef549308047b1cade1613b2527b6ed99bae

https://gerrit.wikimedia.org/r/484734

Pulled this onto deploy1001 in the staging dir for wmf.12. git status no longer shows new commits in extensions/CentralNotice. :)

DStrine closed this task as Resolved.Feb 5 2019, 9:16 PM
AndyRussG set the point value for this task to 1.Oct 29 2019, 7:20 PM